Index: serefpolicy-contrib-20140730/nagios.if
===================================================================
--- serefpolicy-contrib-20140730.orig/nagios.if
+++ serefpolicy-contrib-20140730/nagios.if
@@ -1,12 +1,13 @@
-## <summary>Network monitoring server.</summary>
+## <summary>Net Saint / NAGIOS - network monitoring server</summary>
 
-#######################################
+########################################
 ## <summary>
-##	The template to define a nagios plugin domain.
+##	Create a set of derived types for various
+##	nagios plugins,
 ## </summary>
-## <param name="domain_prefix">
+## <param name="plugins_group_name">
 ##	<summary>
-##	Domain prefix to be used.
+##	The name to be used for deriving type names.
 ##	</summary>
 ## </param>
 #
@@ -16,38 +17,31 @@ template(`nagios_plugin_template',`
 		type nagios_t, nrpe_t;
 	')
 
-	########################################
-	#
-	# Declarations
-	#
-
 	type nagios_$1_plugin_t, nagios_plugin_domain;
 	type nagios_$1_plugin_exec_t;
 	application_domain(nagios_$1_plugin_t, nagios_$1_plugin_exec_t)
 	role system_r types nagios_$1_plugin_t;
 
-	########################################
-	#
-	# Policy
-	#
-
 	domtrans_pattern(nrpe_t, nagios_$1_plugin_exec_t, nagios_$1_plugin_t)
 	allow nagios_t nagios_$1_plugin_exec_t:file ioctl; 
 
+	# needed by command.cfg
 	domtrans_pattern(nagios_t, nagios_$1_plugin_exec_t, nagios_$1_plugin_t)
+
+	kernel_read_system_state(nagios_$1_plugin_t)
+
 ')
 
 ########################################
 ## <summary>
-##	Do not audit attempts to read or
-##	write nagios unnamed pipes.
+##	Do not audit attempts to read or write nagios
+##	unnamed pipes.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
 ##	Domain to not audit.
 ##	</summary>
 ## </param>
-## <rolecap/>
 #
 interface(`nagios_dontaudit_rw_pipes',`
 	gen_require(`
@@ -59,7 +53,8 @@ interface(`nagios_dontaudit_rw_pipes',`
 
 ########################################
 ## <summary>
-##	Read nagios configuration content.
+##	Allow the specified domain to read
+##	nagios configuration files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -73,15 +68,14 @@ interface(`nagios_read_config',`
 		type nagios_etc_t;
 	')
 
-	files_search_etc($1)
 	allow $1 nagios_etc_t:dir list_dir_perms;
 	allow $1 nagios_etc_t:file read_file_perms;
-	allow $1 nagios_etc_t:lnk_file read_lnk_file_perms;
+	files_search_etc($1)
 ')
 
 ######################################
 ## <summary>
-##	Read nagios log files.
+##	Read nagios logs.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -100,8 +94,7 @@ interface(`nagios_read_log',`
 
 ########################################
 ## <summary>
-##	Do not audit attempts to read or
-##	write nagios log files.
+##	Do not audit attempts to read or write nagios logs.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -132,13 +125,14 @@ interface(`nagios_search_spool',`
 		type nagios_spool_t;
 	')
 
-	files_search_spool($1)
 	allow $1 nagios_spool_t:dir search_dir_perms;
+	files_search_spool($1)
 ')
 
 ########################################
 ## <summary>
-##	Read nagios temporary files.
+##	Allow the specified domain to read
+##	nagios temporary files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -151,13 +145,34 @@ interface(`nagios_read_tmp_files',`
 		type nagios_tmp_t;
 	')
 
-	files_search_tmp($1)
 	allow $1 nagios_tmp_t:file read_file_perms;
+	files_search_tmp($1)
+')
+
+########################################
+## <summary>
+##	Allow the specified domain to read
+##	nagios temporary files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`nagios_rw_inerited_tmp_files',`
+	gen_require(`
+		type nagios_tmp_t;
+	')
+
+	allow $1 nagios_tmp_t:file rw_inherited_file_perms;
+	files_search_tmp($1)
 ')
 
 ########################################
 ## <summary>
-##	Execute nrpe with a domain transition.
+##	Execute the nagios NRPE with
+##	a domain transition.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -170,14 +185,13 @@ interface(`nagios_domtrans_nrpe',`
 		type nrpe_t, nrpe_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, nrpe_exec_t, nrpe_t)
 ')
 
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an nagios environment.
+##	All of the rules required to administrate
+##	an nagios environment
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -186,44 +200,43 @@ interface(`nagios_domtrans_nrpe',`
 ## </param>
 ## <param name="role">
 ##	<summary>
-##	Role allowed access.
+##	The role to be allowed to manage the nagios domain.
 ##	</summary>
 ## </param>
 ## <rolecap/>
 #
 interface(`nagios_admin',`
 	gen_require(`
-		attribute nagios_plugin_domain;
 		type nagios_t, nrpe_t, nagios_initrc_exec_t;
-		type nagios_tmp_t, nagios_log_t, nagios_var_lib_t;
-		type nagios_etc_t, nrpe_etc_t, nrpe_var_run_t;
-		type nagios_spool_t, nagios_var_run_t, nagios_system_plugin_tmp_t;
-		type nagios_eventhandler_plugin_tmp_t;
+		type nagios_tmp_t, nagios_log_t, nagios_var_run_t;
+		type nagios_etc_t, nrpe_etc_t, nagios_spool_t;
 	')
 
-	allow $1 { nagios_t nrpe_t nagios_plugin_domain }:process { ptrace signal_perms };
-	ps_process_pattern($1, { nagios_t nrpe_t nagios_plugin_domain })
+	allow $1 nagios_t:process signal_perms;
+	ps_process_pattern($1, nagios_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 nagios_t:process ptrace;
+	')
 
 	init_labeled_script_domtrans($1, nagios_initrc_exec_t)
 	domain_system_change_exemption($1)
 	role_transition $2 nagios_initrc_exec_t system_r;
 	allow $2 system_r;
 
-	files_search_tmp($1)
-	admin_pattern($1, { nagios_eventhandler_plugin_tmp_t nagios_tmp_t nagios_system_plugin_tmp_t })
+	files_list_tmp($1)
+	admin_pattern($1, nagios_tmp_t)
 
-	logging_search_logs($1)
+	logging_list_logs($1)
 	admin_pattern($1, nagios_log_t)
 
-	files_search_etc($1)
-	admin_pattern($1, { nrpe_etc_t nagios_etc_t })
+	files_list_etc($1)
+	admin_pattern($1, nagios_etc_t)
 
-	files_search_spool($1)
+	files_list_spool($1)
 	admin_pattern($1, nagios_spool_t)
 
-	files_search_pids($1)
-	admin_pattern($1, { nrpe_var_run_t nagios_var_run_t })
+	files_list_pids($1)
+	admin_pattern($1, nagios_var_run_t)
 
-	files_search_var_lib($1)
-	admin_pattern($1, nagios_var_lib_t)
+	admin_pattern($1, nrpe_etc_t)
 ')
Index: serefpolicy-contrib-20140730/nagios.te
===================================================================
--- serefpolicy-contrib-20140730.orig/nagios.te
+++ serefpolicy-contrib-20140730/nagios.te
@@ -27,7 +27,7 @@ type nagios_var_run_t;
 files_pid_file(nagios_var_run_t)
 
 type nagios_spool_t;
-files_type(nagios_spool_t)
+files_spool_file(nagios_spool_t)
 
 type nagios_var_lib_t;
 files_type(nagios_var_lib_t)
@@ -39,6 +39,7 @@ nagios_plugin_template(services)
 nagios_plugin_template(system)
 nagios_plugin_template(unconfined)
 nagios_plugin_template(eventhandler)
+nagios_plugin_template(openshift)
 
 type nagios_eventhandler_plugin_tmp_t;
 files_tmp_file(nagios_eventhandler_plugin_tmp_t)
@@ -46,6 +47,9 @@ files_tmp_file(nagios_eventhandler_plugi
 type nagios_system_plugin_tmp_t;
 files_tmp_file(nagios_system_plugin_tmp_t)
 
+type nagios_openshift_plugin_tmp_t;
+files_tmp_file(nagios_openshift_plugin_tmp_t)
+
 type nrpe_t;
 type nrpe_exec_t;
 init_daemon_domain(nrpe_t, nrpe_exec_t)
@@ -63,19 +67,21 @@ files_pid_file(nrpe_var_run_t)
 
 allow nagios_plugin_domain self:fifo_file rw_fifo_file_perms;
 
+allow nrpe_t nagios_plugin_domain:process { signal sigkill };
+   
+allow nagios_t nagios_plugin_domain:process signal_perms;
+allow nagios_plugin_domain nagios_t:process signal_perms;
+
+# cjp: leaked file descriptor
 dontaudit nagios_plugin_domain nrpe_t:tcp_socket { read write };
 dontaudit nagios_plugin_domain nagios_log_t:file { read write };
 
-kernel_read_system_state(nagios_plugin_domain)
-
 dev_read_urand(nagios_plugin_domain)
 dev_read_rand(nagios_plugin_domain)
+dev_read_sysfs(nagios_plugin_domain)
 
-files_read_usr_files(nagios_plugin_domain)
-
-miscfiles_read_localization(nagios_plugin_domain)
-
-userdom_use_user_terminals(nagios_plugin_domain)
+userdom_use_inherited_user_ptys(nagios_plugin_domain)
+userdom_use_inherited_user_ttys(nagios_plugin_domain)
 
 ########################################
 #
@@ -96,11 +102,13 @@ allow nagios_t nagios_etc_t:dir list_dir
 allow nagios_t nagios_etc_t:file read_file_perms;
 allow nagios_t nagios_etc_t:lnk_file read_lnk_file_perms;
 
-allow nagios_t nagios_log_t:dir setattr_dir_perms;
-append_files_pattern(nagios_t, nagios_log_t, nagios_log_t)
-create_files_pattern(nagios_t, nagios_log_t, nagios_log_t)
-setattr_files_pattern(nagios_t, nagios_log_t, nagios_log_t)
-logging_log_filetrans(nagios_t, nagios_log_t, file)
+#allow nagios_t nagios_log_t:dir setattr_dir_perms;
+#append_files_pattern(nagios_t, nagios_log_t, nagios_log_t)
+#create_files_pattern(nagios_t, nagios_log_t, nagios_log_t)
+#setattr_files_pattern(nagios_t, nagios_log_t, nagios_log_t)
+manage_files_pattern(nagios_t, nagios_log_t, nagios_log_t)
+manage_dirs_pattern(nagios_t, nagios_log_t, nagios_log_t)
+logging_log_filetrans(nagios_t, nagios_log_t, { dir file })
 
 manage_dirs_pattern(nagios_t, nagios_tmp_t, nagios_tmp_t)
 manage_files_pattern(nagios_t, nagios_tmp_t, nagios_tmp_t)
@@ -110,7 +118,8 @@ manage_files_pattern(nagios_t, nagios_va
 files_pid_filetrans(nagios_t, nagios_var_run_t, file)
 
 manage_fifo_files_pattern(nagios_t, nagios_spool_t, nagios_spool_t)
-files_spool_filetrans(nagios_t, nagios_spool_t, fifo_file)
+manage_files_pattern(nagios_t, nagios_spool_t, nagios_spool_t)
+files_spool_filetrans(nagios_t, nagios_spool_t, { file fifo_file})
 
 manage_files_pattern(nagios_t, nagios_var_lib_t, nagios_var_lib_t)
 manage_fifo_files_pattern(nagios_t, nagios_var_lib_t, nagios_var_lib_t)
@@ -123,7 +132,6 @@ kernel_read_software_raid_state(nagios_t
 corecmd_exec_bin(nagios_t)
 corecmd_exec_shell(nagios_t)
 
-corenet_all_recvfrom_unlabeled(nagios_t)
 corenet_all_recvfrom_netlabel(nagios_t)
 corenet_tcp_sendrecv_generic_if(nagios_t)
 corenet_tcp_sendrecv_generic_node(nagios_t)
@@ -143,7 +151,6 @@ domain_read_all_domains_state(nagios_t)
 
 files_read_etc_runtime_files(nagios_t)
 files_read_kernel_symbol_table(nagios_t)
-files_read_usr_files(nagios_t)
 files_search_spool(nagios_t)
 
 fs_getattr_all_fs(nagios_t)
@@ -153,8 +160,6 @@ auth_use_nsswitch(nagios_t)
 
 logging_send_syslog_msg(nagios_t)
 
-miscfiles_read_localization(nagios_t)
-
 userdom_dontaudit_use_unpriv_user_fds(nagios_t)
 userdom_dontaudit_search_user_home_dirs(nagios_t)
 
@@ -178,35 +183,37 @@ optional_policy(`
 #
 # CGI local policy
 #
+
 optional_policy(`
 	apache_content_template(nagios)
-	typealias httpd_nagios_script_t alias nagios_cgi_t;
-	typealias httpd_nagios_script_exec_t alias nagios_cgi_exec_t;
+	apache_content_alias_template(nagios, nagios)
+	typealias nagios_script_t alias nagios_cgi_t;
+	typealias nagios_script_exec_t alias nagios_cgi_exec_t;
 
-	allow httpd_nagios_script_t self:process signal_perms;
+	allow nagios_script_t self:process signal_perms;
 
-	read_files_pattern(httpd_nagios_script_t, nagios_t, nagios_t)
-	read_lnk_files_pattern(httpd_nagios_script_t, nagios_t, nagios_t)
+	read_files_pattern(nagios_script_t, nagios_t, nagios_t)
+	read_lnk_files_pattern(nagios_script_t, nagios_t, nagios_t)
 
-	allow httpd_nagios_script_t nagios_etc_t:dir list_dir_perms;
-	allow httpd_nagios_script_t nagios_etc_t:file read_file_perms;
-	allow httpd_nagios_script_t nagios_etc_t:lnk_file read_lnk_file_perms;
+	allow nagios_script_t nagios_etc_t:dir list_dir_perms;
+	allow nagios_script_t nagios_etc_t:file read_file_perms;
+	allow nagios_script_t nagios_etc_t:lnk_file read_lnk_file_perms;
 
-	files_search_spool(httpd_nagios_script_t)
-	rw_fifo_files_pattern(httpd_nagios_script_t, nagios_spool_t, nagios_spool_t)
+	files_search_spool(nagios_script_t)
+	rw_fifo_files_pattern(nagios_script_t, nagios_spool_t, nagios_spool_t)
 
-	allow httpd_nagios_script_t nagios_log_t:dir list_dir_perms;
-	read_files_pattern(httpd_nagios_script_t, nagios_etc_t, nagios_log_t)
-	read_lnk_files_pattern(httpd_nagios_script_t, nagios_etc_t, nagios_log_t)
+	allow nagios_script_t nagios_log_t:dir list_dir_perms;
+	read_files_pattern(nagios_script_t, nagios_etc_t, nagios_log_t)
+	read_lnk_files_pattern(nagios_script_t, nagios_etc_t, nagios_log_t)
 
-	kernel_read_system_state(httpd_nagios_script_t)
+	kernel_read_system_state(nagios_script_t)
 
-	domain_dontaudit_read_all_domains_state(httpd_nagios_script_t)
+	domain_dontaudit_read_all_domains_state(nagios_script_t)
 
-	files_read_etc_runtime_files(httpd_nagios_script_t)
-	files_read_kernel_symbol_table(httpd_nagios_script_t)
+	files_read_etc_runtime_files(nagios_script_t)
+	files_read_kernel_symbol_table(nagios_script_t)
 
-	logging_send_syslog_msg(httpd_nagios_script_t)
+	logging_send_syslog_msg(nagios_script_t)
 ')
 
 ########################################
@@ -229,9 +236,9 @@ files_pid_filetrans(nrpe_t, nrpe_var_run
 
 domtrans_pattern(nrpe_t, nagios_checkdisk_plugin_exec_t, nagios_checkdisk_plugin_t)
 
+kernel_read_system_state(nrpe_t)
 kernel_read_kernel_sysctls(nrpe_t)
 kernel_read_software_raid_state(nrpe_t)
-kernel_read_system_state(nrpe_t)
 
 corecmd_exec_bin(nrpe_t)
 corecmd_exec_shell(nrpe_t)
@@ -252,8 +259,8 @@ dev_read_urand(nrpe_t)
 domain_use_interactive_fds(nrpe_t)
 domain_read_all_domains_state(nrpe_t)
 
+files_list_var(nrpe_t)
 files_read_etc_runtime_files(nrpe_t)
-files_read_usr_files(nrpe_t)
 
 fs_getattr_all_fs(nrpe_t)
 fs_search_auto_mountpoints(nrpe_t)
@@ -262,8 +269,6 @@ auth_use_nsswitch(nrpe_t)
 
 logging_send_syslog_msg(nrpe_t)
 
-miscfiles_read_localization(nrpe_t)
-
 userdom_dontaudit_use_unpriv_user_fds(nrpe_t)
 
 optional_policy(`
@@ -310,15 +315,15 @@ files_getattr_all_file_type_fs(nagios_ad
 #
 
 allow nagios_mail_plugin_t self:capability { setuid setgid dac_override };
-allow nagios_mail_plugin_t self:tcp_socket { accept listen };
+allow nagios_mail_plugin_t self:netlink_route_socket r_netlink_socket_perms;
+allow nagios_mail_plugin_t self:tcp_socket create_stream_socket_perms;
+allow nagios_mail_plugin_t self:udp_socket create_socket_perms;
 
 kernel_read_kernel_sysctls(nagios_mail_plugin_t)
 
 corecmd_read_bin_files(nagios_mail_plugin_t)
 corecmd_read_bin_symlinks(nagios_mail_plugin_t)
 
-files_read_etc_files(nagios_mail_plugin_t)
-
 logging_send_syslog_msg(nagios_mail_plugin_t)
 
 sysnet_dns_name_resolve(nagios_mail_plugin_t)
@@ -345,6 +350,9 @@ allow nagios_checkdisk_plugin_t self:cap
 
 kernel_read_software_raid_state(nagios_checkdisk_plugin_t)
 
+corecmd_exec_bin(nagios_checkdisk_plugin_t)
+
+files_getattr_all_dirs(nagios_checkdisk_plugin_t)
 files_getattr_all_mountpoints(nagios_checkdisk_plugin_t)
 files_read_etc_runtime_files(nagios_checkdisk_plugin_t)
 
@@ -357,9 +365,11 @@ storage_raw_read_fixed_disk(nagios_check
 # Services local policy
 #
 
-allow nagios_services_plugin_t self:capability net_raw;
+allow nagios_services_plugin_t self:capability { setuid net_bind_service net_raw };
 allow nagios_services_plugin_t self:process { signal sigkill };
-allow nagios_services_plugin_t self:tcp_socket { accept listen };
+allow nagios_services_plugin_t self:tcp_socket create_stream_socket_perms;
+allow nagios_services_plugin_t self:udp_socket create_socket_perms;
+allow nagios_services_plugin_t self:rawip_socket create_socket_perms;
 
 corecmd_exec_bin(nagios_services_plugin_t)
 
@@ -391,6 +401,11 @@ optional_policy(`
 
 optional_policy(`
 	mysql_stream_connect(nagios_services_plugin_t)
+    mysql_read_config(nagios_services_plugin_t)
+')
+
+optional_policy(`
+    postgresql_stream_connect(nagios_services_plugin_t)
 ')
 
 optional_policy(`
@@ -411,6 +426,7 @@ manage_files_pattern(nagios_system_plugi
 manage_dirs_pattern(nagios_system_plugin_t, nagios_system_plugin_tmp_t, nagios_system_plugin_tmp_t)
 files_tmp_filetrans(nagios_system_plugin_t, nagios_system_plugin_tmp_t, { dir file })
 
+kernel_read_system_state(nagios_system_plugin_t)
 kernel_read_kernel_sysctls(nagios_system_plugin_t)
 
 corecmd_exec_bin(nagios_system_plugin_t)
@@ -420,14 +436,18 @@ dev_read_sysfs(nagios_system_plugin_t)
 
 domain_read_all_domains_state(nagios_system_plugin_t)
 
-files_read_etc_files(nagios_system_plugin_t)
-
 fs_getattr_all_fs(nagios_system_plugin_t)
 
+auth_read_passwd(nagios_system_plugin_t)
+
 optional_policy(`
 	init_read_utmp(nagios_system_plugin_t)
 ')
 
+optional_policy(`
+    mrtg_read_lib_files(nagios_system_plugin_t)
+')
+
 #######################################
 #
 # Event local policy
@@ -442,11 +462,44 @@ corecmd_exec_shell(nagios_eventhandler_p
 
 init_domtrans_script(nagios_eventhandler_plugin_t)
 
+systemd_exec_systemctl(nagios_eventhandler_plugin_t)
+
+allow nagios_t nagios_eventhandler_plugin_exec_t:dir list_dir_perms;
+
+optional_policy(`
+    unconfined_domain(nagios_eventhandler_plugin_t)
+')
+
 ########################################
 #
-# Unconfined plugin policy
+# nagios openshift plugin policy
+#
+
+allow nagios_openshift_plugin_t self:capability sys_ptrace;
+
+manage_dirs_pattern(nagios_openshift_plugin_t, nagios_openshift_plugin_tmp_t, nagios_openshift_plugin_tmp_t)
+manage_files_pattern(nagios_openshift_plugin_t, nagios_openshift_plugin_tmp_t, nagios_openshift_plugin_tmp_t)
+files_tmp_filetrans(nagios_openshift_plugin_t, nagios_openshift_plugin_tmp_t, { file dir })
+
+corecmd_exec_bin(nagios_openshift_plugin_t)
+corecmd_exec_shell(nagios_openshift_plugin_t)
+
+domain_read_all_domains_state(nagios_openshift_plugin_t)
+
+fs_getattr_all_fs(nagios_openshift_plugin_t)
+
+optional_policy(`
+        apache_read_config(nagios_openshift_plugin_t)
+')
+
+######################################
+#
+# nagios plugin domain policy
 #
 
 optional_policy(`
 	unconfined_domain(nagios_unconfined_plugin_t)
 ')
+
+
+
Index: serefpolicy-contrib-20140730/namespace.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/namespace.fc
@@ -0,0 +1,3 @@
+
+/etc/security/namespace.init		--	gen_context(system_u:object_r:namespace_init_exec_t,s0)
+
Index: serefpolicy-contrib-20140730/namespace.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/namespace.if
@@ -0,0 +1,48 @@
+
+## <summary>policy for namespace</summary>
+
+########################################
+## <summary>
+##	Execute a domain transition to run namespace_init.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed access.
+## </summary>
+## </param>
+#
+interface(`namespace_init_domtrans',`
+	gen_require(`
+		type namespace_init_t, namespace_init_exec_t;
+	')
+
+	domtrans_pattern($1, namespace_init_exec_t, namespace_init_t)
+')
+
+
+########################################
+## <summary>
+##	Execute namespace_init in the namespace_init domain, and
+##	allow the specified role the namespace_init domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access
+##	</summary>
+## </param>
+## <param name="role">
+##	<summary>
+##	The role to be allowed the namespace_init domain.
+##	</summary>
+## </param>
+#
+interface(`namespace_init_run',`
+	gen_require(`
+		type namespace_init_t;
+	')
+
+	namespace_init_domtrans($1)
+	role $2 types namespace_init_t;
+
+	seutil_run_setfiles(namespace_init_t, $2)
+')
Index: serefpolicy-contrib-20140730/namespace.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/namespace.te
@@ -0,0 +1,41 @@
+policy_module(namespace,1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+type namespace_init_t;
+type namespace_init_exec_t;
+init_system_domain(namespace_init_t, namespace_init_exec_t)
+role system_r types namespace_init_t;
+
+########################################
+#
+# namespace_init local policy
+#
+
+allow namespace_init_t self:capability dac_override;
+
+allow namespace_init_t self:fifo_file manage_fifo_file_perms;
+allow namespace_init_t self:unix_stream_socket create_stream_socket_perms;
+
+kernel_read_system_state(namespace_init_t)
+
+corecmd_exec_shell(namespace_init_t)
+
+domain_use_interactive_fds(namespace_init_t)
+domain_obj_id_change_exemption(namespace_init_t)
+
+files_polyinstantiate_all(namespace_init_t)
+
+fs_getattr_xattr_fs(namespace_init_t)
+
+auth_use_nsswitch(namespace_init_t)
+
+term_use_console(namespace_init_t)
+
+userdom_manage_user_home_content(namespace_init_t)
+userdom_relabelto_user_home_dirs(namespace_init_t)
+userdom_relabelto_user_home_files(namespace_init_t)
+userdom_filetrans_home_content(namespace_init_t)
Index: serefpolicy-contrib-20140730/ncftool.if
===================================================================
--- serefpolicy-contrib-20140730.orig/ncftool.if
+++ serefpolicy-contrib-20140730/ncftool.if
@@ -38,9 +38,11 @@ interface(`ncftool_domtrans',`
 #
 interface(`ncftool_run',`
 	gen_require(`
+		type ncftool_t;
 		attribute_role ncftool_roles;
 	')
 
 	ncftool_domtrans($1)
 	roleattribute $2 ncftool_roles;
 ')
+
Index: serefpolicy-contrib-20140730/ncftool.te
===================================================================
--- serefpolicy-contrib-20140730.orig/ncftool.te
+++ serefpolicy-contrib-20140730/ncftool.te
@@ -22,13 +22,14 @@ role ncftool_roles types ncftool_t;
 
 allow ncftool_t self:capability net_admin;
 allow ncftool_t self:process signal;
+
 allow ncftool_t self:fifo_file manage_fifo_file_perms;
 allow ncftool_t self:unix_stream_socket create_stream_socket_perms;
 allow ncftool_t self:netlink_route_socket create_netlink_socket_perms;
 allow ncftool_t self:tcp_socket create_stream_socket_perms;
 
 kernel_read_kernel_sysctls(ncftool_t)
-kernel_read_modprobe_sysctls(ncftool_t)
+kernel_read_usermodehelper_state(ncftool_t)
 kernel_read_network_state(ncftool_t)
 kernel_read_system_state(ncftool_t)
 kernel_request_load_module(ncftool_t)
@@ -41,11 +42,11 @@ domain_read_all_domains_state(ncftool_t)
 
 dev_read_sysfs(ncftool_t)
 
-files_read_etc_files(ncftool_t)
+files_manage_system_conf_files(ncftool_t)
+files_relabelto_system_conf_files(ncftool_t)
 files_read_etc_runtime_files(ncftool_t)
-files_read_usr_files(ncftool_t)
 
-miscfiles_read_localization(ncftool_t)
+term_use_all_inherited_terms(ncftool_t)
 
 sysnet_delete_dhcpc_pid(ncftool_t)
 sysnet_run_dhcpc(ncftool_t, ncftool_roles)
@@ -53,6 +54,8 @@ sysnet_run_ifconfig(ncftool_t, ncftool_r
 sysnet_etc_filetrans_config(ncftool_t)
 sysnet_manage_config(ncftool_t)
 sysnet_read_dhcpc_state(ncftool_t)
+sysnet_relabelfrom_net_conf(ncftool_t)
+sysnet_relabelto_net_conf(ncftool_t)
 sysnet_read_dhcpc_pid(ncftool_t)
 sysnet_signal_dhcpc(ncftool_t)
 
@@ -73,11 +76,14 @@ optional_policy(`
 
 optional_policy(`
 	iptables_initrc_domtrans(ncftool_t)
+	iptables_systemctl(ncftool_t)
 ')
 
 optional_policy(`
+	modutils_list_module_config(ncftool_t)
 	modutils_read_module_config(ncftool_t)
 	modutils_run_insmod(ncftool_t, ncftool_roles)
+
 ')
 
 optional_policy(`
Index: serefpolicy-contrib-20140730/nessus.te
===================================================================
--- serefpolicy-contrib-20140730.orig/nessus.te
+++ serefpolicy-contrib-20140730/nessus.te
@@ -58,7 +58,6 @@ kernel_read_kernel_sysctls(nessusd_t)
 
 corecmd_exec_bin(nessusd_t)
 
-corenet_all_recvfrom_unlabeled(nessusd_t)
 corenet_all_recvfrom_netlabel(nessusd_t)
 corenet_tcp_sendrecv_generic_if(nessusd_t)
 corenet_udp_sendrecv_generic_if(nessusd_t)
@@ -82,7 +81,6 @@ dev_read_urand(nessusd_t)
 domain_use_interactive_fds(nessusd_t)
 
 files_list_var_lib(nessusd_t)
-files_read_etc_files(nessusd_t)
 files_read_etc_runtime_files(nessusd_t)
 
 fs_getattr_all_fs(nessusd_t)
@@ -90,8 +88,6 @@ fs_search_auto_mountpoints(nessusd_t)
 
 logging_send_syslog_msg(nessusd_t)
 
-miscfiles_read_localization(nessusd_t)
-
 sysnet_read_config(nessusd_t)
 
 userdom_dontaudit_use_unpriv_user_fds(nessusd_t)
Index: serefpolicy-contrib-20140730/networkmanager.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/networkmanager.fc
+++ serefpolicy-contrib-20140730/networkmanager.fc
@@ -1,44 +1,46 @@
-/etc/rc\.d/init\.d/wicd	--	gen_context(system_u:object_r:NetworkManager_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/wicd		--	gen_context(system_u:object_r:NetworkManager_initrc_exec_t,s0)
 
 /etc/NetworkManager(/.*)?	gen_context(system_u:object_r:NetworkManager_etc_t,s0)
 /etc/NetworkManager/NetworkManager\.conf	gen_context(system_u:object_r:NetworkManager_etc_rw_t,s0)
 /etc/NetworkManager/system-connections(/.*)?	gen_context(system_u:object_r:NetworkManager_etc_rw_t,s0)
 /etc/NetworkManager/dispatcher\.d(/.*)?	gen_context(system_u:object_r:NetworkManager_initrc_exec_t,s0)
 
-/etc/dhcp/manager-settings\.conf	--	gen_context(system_u:object_r:NetworkManager_etc_rw_t, s0)
-/etc/dhcp/wireless-settings\.conf	--	gen_context(system_u:object_r:NetworkManager_etc_rw_t, s0)
-/etc/dhcp/wired-settings\.conf	--	gen_context(system_u:object_r:NetworkManager_etc_rw_t, s0)
-
-/etc/wicd/manager-settings\.conf	--	gen_context(system_u:object_r:NetworkManager_etc_rw_t, s0)
-/etc/wicd/wireless-settings\.conf	--	gen_context(system_u:object_r:NetworkManager_etc_rw_t, s0)
-/etc/wicd/wired-settings\.conf	--	gen_context(system_u:object_r:NetworkManager_etc_rw_t, s0)
+/etc/dhcp/manager-settings.conf -- gen_context(system_u:object_r:NetworkManager_var_lib_t, s0)
+/etc/dhcp/wireless-settings.conf -- gen_context(system_u:object_r:NetworkManager_var_lib_t, s0)
+/etc/dhcp/wired-settings.conf -- gen_context(system_u:object_r:NetworkManager_var_lib_t, s0)
 
-/usr/lib/NetworkManager/nm-dispatcher\.action	--	gen_context(system_u:object_r:NetworkManager_initrc_exec_t,s0)
-/usr/libexec/nm-dispatcher\.action	--	gen_context(system_u:object_r:NetworkManager_initrc_exec_t,s0)
+/etc/wicd/manager-settings.conf -- gen_context(system_u:object_r:NetworkManager_var_lib_t, s0)
+/etc/wicd/wireless-settings.conf -- gen_context(system_u:object_r:NetworkManager_var_lib_t, s0)
+/etc/wicd/wired-settings.conf -- gen_context(system_u:object_r:NetworkManager_var_lib_t, s0)
 
-/sbin/wpa_cli	--	gen_context(system_u:object_r:wpa_cli_exec_t,s0)
-/sbin/wpa_supplicant	--	gen_context(system_u:object_r:NetworkManager_exec_t,s0)
+/usr/lib/systemd/system/NetworkManager.* --	gen_context(system_u:object_r:NetworkManager_unit_file_t,s0)
+
+/usr/libexec/nm-dispatcher.* --	gen_context(system_u:object_r:NetworkManager_exec_t,s0)
 
 /usr/bin/NetworkManager	--	gen_context(system_u:object_r:NetworkManager_exec_t,s0)
 /usr/bin/wpa_cli	--	gen_context(system_u:object_r:wpa_cli_exec_t,s0)
 /usr/bin/wpa_supplicant	--	gen_context(system_u:object_r:NetworkManager_exec_t,s0)
 
 /usr/sbin/NetworkManager	--	gen_context(system_u:object_r:NetworkManager_exec_t,s0)
-/usr/sbin/NetworkManagerDispatcher	--	gen_context(system_u:object_r:NetworkManager_exec_t,s0)
-/usr/sbin/nm-system-settings	--	gen_context(system_u:object_r:NetworkManager_exec_t,s0)
-/usr/sbin/wicd	--	gen_context(system_u:object_r:NetworkManager_exec_t,s0)
-/usr/sbin/wpa_cli	--	gen_context(system_u:object_r:wpa_cli_exec_t,s0)
 /usr/sbin/wpa_supplicant	--	gen_context(system_u:object_r:NetworkManager_exec_t,s0)
+/usr/sbin/NetworkManagerDispatcher --	gen_context(system_u:object_r:NetworkManager_exec_t,s0)
+/usr/sbin/nm-system-settings	--	gen_context(system_u:object_r:NetworkManager_exec_t,s0)
+/usr/bin/teamd          --  gen_context(system_u:object_r:NetworkManager_exec_t,s0)
+/usr/sbin/wicd 			--	gen_context(system_u:object_r:NetworkManager_exec_t,s0)
+
+/var/lib/wicd(/.*)?			gen_context(system_u:object_r:NetworkManager_var_lib_t,s0)
+/var/lib/NetworkManager(/.*)?		gen_context(system_u:object_r:NetworkManager_var_lib_t,s0)
 
-/var/lib/wicd(/.*)?	gen_context(system_u:object_r:NetworkManager_var_lib_t,s0)
-/var/lib/NetworkManager(/.*)?	gen_context(system_u:object_r:NetworkManager_var_lib_t,s0)
+/var/log/wicd.*				--	gen_context(system_u:object_r:NetworkManager_log_t,s0)
 
-/var/log/wicd(/.*)?	gen_context(system_u:object_r:NetworkManager_log_t,s0)
 /var/log/wpa_supplicant.*	--	gen_context(system_u:object_r:NetworkManager_log_t,s0)
 
 /var/run/NetworkManager\.pid	--	gen_context(system_u:object_r:NetworkManager_var_run_t,s0)
-/var/run/NetworkManager(/.*)?	gen_context(system_u:object_r:NetworkManager_var_run_t,s0)
-/var/run/nm-dhclient.*	gen_context(system_u:object_r:NetworkManager_var_run_t,s0)
+/var/run/NetworkManager(/.*)?		gen_context(system_u:object_r:NetworkManager_var_run_t,s0)
+/var/run/nm-dhclient.*			gen_context(system_u:object_r:NetworkManager_var_run_t,s0)
 /var/run/nm-dns-dnsmasq\.conf	--	gen_context(system_u:object_r:NetworkManager_var_run_t,s0)
-/var/run/wpa_supplicant(/.*)?	gen_context(system_u:object_r:NetworkManager_var_run_t,s0)
+/var/run/nm-xl2tpd.conf.*       --  gen_context(system_u:object_r:NetworkManager_var_run_t,s0)
+/var/run/teamd(/.*)?       gen_context(system_u:object_r:NetworkManager_var_run_t,s0)
+/var/run/wicd\.pid	--	gen_context(system_u:object_r:NetworkManager_var_run_t,s0)
+/var/run/wpa_supplicant(/.*)?		gen_context(system_u:object_r:NetworkManager_var_run_t,s0)
 /var/run/wpa_supplicant-global	-s	gen_context(system_u:object_r:NetworkManager_var_run_t,s0)
